# overlay python patched version with amaranth/boards updated.
final: prev: {
  python3 = prev.python3.override {
    packageOverrides = pyfinal: pyprev: {
      amaranth = pyprev.amaranth.overridePythonAttrs {
        version = "0.6.0.dev53";
        src = prev.pkgs.fetchFromGitHub {
          owner = "amaranth-lang";
          repo = "amaranth";
          rev = "e30d822a7d93ee615e70e95a9958051dcc794802";
          # hash = "sha256-A46CMWGvqUFTp3geFFccUM9M7iECmNndzWm2GxA8XbE";
          hash = "sha256-sCUipI7HcuTg3sJscoSI0UdIutnxGWSwbgpwWyZuFxk=";
        };
        doCheck = false;
        # installCheckPhase = "${prev.python3.interpreter} -m unittest discover -t . -s tests -v";
      };
      amaranth-boards = pyprev.amaranth-boards.overridePythonAttrs {
        version = "0.1.dev250";
        src = prev.pkgs.fetchFromGitHub {
          owner = "amaranth-lang";
          repo = "amaranth-boards";
          rev = "19b97324ecf9111c5d16377af79f82aad761c476";
          hash = "sha256-0uvn91i/yuIY75lL5Oxvozdw7Q2Uw83JWo7srgEYEpI=";
        };
        build-system = [ pyprev.pdm-backend ];
        dontCheckRuntimeDeps = 1;
      };
    };
  };
}
